Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Users

19 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

POST/v1/auth/forgot

Forgot Password

Requests a temporary link be sent to the provided email address, allowing the User to reset their password.

Request body application/jsonrequired

  • emailstringrequired

    Email

Responses

200

POST/v1/auth/login

Login

Creates a JSON Web Token.

Request body application/jsonrequired

  • emailstringrequired

    Email

  • passwordstringrequired

    Password

Responses

201LoginDto

  • refresh_tokenstringrequired

    JSON Web Token used to refresh access tokens.

  • tokenstringrequired

    JSON Web Token used for authentication (i.e. access token).

  • userUserrequired

    The logged in user.

401

POST/v1/auth/logout

Logout

Invalidates a User’s refresh token.

Responses

200

401

POST/v1/auth/refresh

Refresh an Access Token

Generates a new access token with a User's refresh token.

Request body application/jsonrequired

  • refresh_tokenstringrequired

    The encrypted refresh token data.

Responses

200

400

POST/v1/auth/register

Register

Creates a User and simultaneously creates a partner Account. Note: This endpoint should only be used in the Sandbox environment.

Request body application/jsonrequired

  • account_namestringoptional

    The business name or individual name.

  • emailstringrequired

    Email address

  • namestringrequired

    Full name

  • parent_account_idstringoptional

    ID of the parent account associated with this registration.

  • passwordstringrequired

    Password. Requires 1 alphabetic and 1 numeric character and a minimum length of 7.

  • user_invitation_idstringoptional

    ID of the user invitation associated with this registration.

Responses

201RegisterDto

  • accountAccountrequired

    The created account (may be empty when registering via invitation)

  • tokenstringrequired

    JSON Web Token used for authentication.

  • userUserrequired

    The created user.

403

POST/v1/auth/reset

Reset Password

Resets a User's password. Resetting the password will also invalidate the User's refresh token.

Request body application/jsonrequired

  • emailstringrequired

    Email address

  • passwordstringrequired

    Password. Requires 1 alphabetic and 1 numeric character and a minimum length of 7.

  • password_reset_tokenstringrequired

    Password reset token

Responses

200

400

GET/v1/user-invitations

List all User Invitations

Returns a list of User invitations. The User invitations are sorted with the most recently created appearing first.

Query parameters

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of UserInvitationrequired

POST/v1/user-invitations

Create a User Invitation

Creates a User invitation. Upon creation, an invitation email is sent to the User’s email address. Once the User registers for an Account, the invitation is deleted.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • emailstringrequired

    Email address

  • email_templatestring (merchant_application | none | console_invitation)optional

    The type of email, if any, that should be sent to the new user. Defaults to console_invitation if one is not provided. merchant_application "You've been invited by {partner name} to complete the setup of your payment processing account. To create your account and access your application follow the link below. {user invitation link}" none No email sent. console_invitation - For **merchant** accounts: "You have been invited to join *{{account name}}'s* payment processing account with *{{partner name}}*.<br><br> *{user invitation hyperlink button}*<br><br> You will gain access to the team's Dashboard, including information about payments, payouts, and more. The invitation link will expire in 7 days." --- - For **partner** accounts: "You have been invited to join *{{account name}}'s* payment processing account with *{{parent name}}*.<br><br> *{user invitation hyperlink button}*<br><br> You will gain access to the team's Dashboard, including information about merchants, payments, payouts, and more. The invitation link will expire in 7 days." --- - For **reseller** accounts: "You have been invited to join *{{account name}}'s* payment processing account.<br><br> *{user invitation hyperlink button}*<br><br> You will gain access to the team's Dashboard, including information about your software platforms, merchants, payments, and more. The invitation link will expire in 7 days."

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take. admin Best for business owners and company administrators. developer Best for developers or people primarily using the Paydude API. analyst Best for people who need full access to Paydude data, but don't need to update business settings. view_only Best for people who need to view Paydude data, but don't need to make any updates. account_manager Best for people who are responsible for managing existing merchant accounts.

Responses

201UserInvitation

  • account_idstringrequired

    The ID of the Account associated with this pending user.

  • created_atstring date-timerequired

    Time at which the object was created.

  • emailstringrequired

    The pending user's email.

  • expires_atstring date-timerequired

    Time at which the object will expire.

  • idstringrequired

    Unique identifier for the object.

  • invitation_urlstringoptional

    Frontend link for the user invitation.

  • inviter_user_idstringoptional

    The ID of the user who sent the invitation.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    The pending user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.

  • sent_atstring date-timeoptional

    Time at which the invitation was last sent.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

DELETE/v1/user-invitations/{id}

Delete a User Invitation

Deletes a User invitation. This cannot be undone.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

204

GET/v1/user-invitations/{id}

Get a User Invitation

Retrieves the details of an existing User invitation.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200UserInvitation

  • account_idstringrequired

    The ID of the Account associated with this pending user.

  • created_atstring date-timerequired

    Time at which the object was created.

  • emailstringrequired

    The pending user's email.

  • expires_atstring date-timerequired

    Time at which the object will expire.

  • idstringrequired

    Unique identifier for the object.

  • invitation_urlstringoptional

    Frontend link for the user invitation.

  • inviter_user_idstringoptional

    The ID of the user who sent the invitation.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    The pending user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.

  • sent_atstring date-timeoptional

    Time at which the invitation was last sent.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

POST/v1/user-invitations/{id}/resend

Resend a User Invitation

Resends an existing User invitation.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

201UserInvitation

  • account_idstringrequired

    The ID of the Account associated with this pending user.

  • created_atstring date-timerequired

    Time at which the object was created.

  • emailstringrequired

    The pending user's email.

  • expires_atstring date-timerequired

    Time at which the object will expire.

  • idstringrequired

    Unique identifier for the object.

  • invitation_urlstringoptional

    Frontend link for the user invitation.

  • inviter_user_idstringoptional

    The ID of the user who sent the invitation.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    The pending user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.

  • sent_atstring date-timeoptional

    Time at which the invitation was last sent.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

GET/v1/user-invitations/check/{id}

Check a User Invitation

Checks for an existing User invitation.

Path parameters

  • idstringrequired

Responses

200UserInvitationCheck

  • emailstringrequired

    The pending user's email.

  • email_registeredbooleanoptional

    Indicates if a user has already registered an account for this email address

  • external_invitation_idstringoptional

    The ID of the user invitation at the external auth provider if the account is configured to use one

  • idstringrequired

    The ID of the invitation.

  • inviter_emailstringoptional

    The email address of the user who sent the invitation.

  • partner_account_namestringoptional

    The name of the parent (ISV) account

GET/v1/users

List all Users

Returns a list of Users. The Users are sorted with the most recently created appearing first.

Query parameters

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of Userrequired

POST/v1/users

Create a User

Creates a User. Note: While the Create User endpoint has been un-deprecated for use cases requiring seamless authentication, we strongly encourage developers to utilize [User Invitations](https://docs.paymentsonline.io/api-reference#tag/users/POST/v1/user-invitations) for a more secure and user-friendly experience. User Invitations ensure email verification and allow users to set their own credentials, aligning with best practices for account management.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • emailstringrequired

    Email address

  • namestringrequired

    Full name

  • passwordstringrequired

    Password. Requires 1 alphabetic and 1 numeric character and a minimum length of 7.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take. admin Best for business owners and company administrators. developer Best for developers or people primarily using the Paydude API. analyst Best for people who need full access to Paydude data, but don't need to update business settings. view_only Best for people who need to view Paydude data, but don't need to make any updates. account_manager Best for people who are responsible for managing existing merchant accounts.

Responses

201User

  • account_idstringrequired

    If this user is associated with multiple accounts then this value will be one of those accounts.

  • account_rolesarray of AccountRolerequired

    The user's role within a specific account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • emailstringrequired

    The user email.

  • email_settingsUserEmailSettingsrequired

    User email settings.

  • idstringrequired

    Unique identifier for the object.

  • last_login_atstring date-timeoptional

    Time at which the user last successfully logged in via the API.

  • last_request_atstring date-timeoptional

    Time at which the user's token was last used to authenticate a request to the API.

  • namestringrequired

    The full name of the user.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    If this user is associated with multiple accounts then this value will be the role associated with the account_id property. The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • verification_codestringoptional

    Six digit verification code of the user.

DELETE/v1/users/{id}

Delete a User

Deletes a User from a specific Account. If this is the User's only Account, the User is permanently deleted. This cannot be undone.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

204object

GET/v1/users/{id}

Get a User

Retrieves the details of an existing User.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200User

  • account_idstringrequired

    If this user is associated with multiple accounts then this value will be one of those accounts.

  • account_rolesarray of AccountRolerequired

    The user's role within a specific account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • emailstringrequired

    The user email.

  • email_settingsUserEmailSettingsrequired

    User email settings.

  • idstringrequired

    Unique identifier for the object.

  • last_login_atstring date-timeoptional

    Time at which the user last successfully logged in via the API.

  • last_request_atstring date-timeoptional

    Time at which the user's token was last used to authenticate a request to the API.

  • namestringrequired

    The full name of the user.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    If this user is associated with multiple accounts then this value will be the role associated with the account_id property. The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • verification_codestringoptional

    Six digit verification code of the user.

PATCH/v1/users/{id}

Update a User

Updates a User by setting the values of the provided parameters. Any parameters not provided remain unchanged.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • emailstringoptional

    Email address

  • email_settingsUserEmailSettingsUpdateParamsoptional

    User email settings

  • namestringoptional

    Full name

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)optional

    The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take. admin Best for business owners and company administrators. developer Best for developers or people primarily using the Paydude API. analyst Best for people who need full access to Paydude data, but don't need to update business settings. view_only Best for people who need to view Paydude data, but don't need to make any updates. account_manager Best for people who are responsible for managing existing merchant accounts.

Responses

200User

  • account_idstringrequired

    If this user is associated with multiple accounts then this value will be one of those accounts.

  • account_rolesarray of AccountRolerequired

    The user's role within a specific account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • emailstringrequired

    The user email.

  • email_settingsUserEmailSettingsrequired

    User email settings.

  • idstringrequired

    Unique identifier for the object.

  • last_login_atstring date-timeoptional

    Time at which the user last successfully logged in via the API.

  • last_request_atstring date-timeoptional

    Time at which the user's token was last used to authenticate a request to the API.

  • namestringrequired

    The full name of the user.

  • rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)required

    If this user is associated with multiple accounts then this value will be the role associated with the account_id property. The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • verification_codestringoptional

    Six digit verification code of the user.

POST/v1/users/{id}/reset-mfa

Reset User MFA Enrollments

Resets a User's MFA enrollments if they have any registered. This action cannot be undone and the user will be prompted to re-enroll a MFA factor upon their next login.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • verification_detailsstringrequired

    Descrition of the verification steps taken to confirm the identity of the user before resetting their MFA enrollments. This field is required and cannot be empty. It will be recorded along with the user performing the reset action for auditing purposes.

Responses

201

POST/v1/users/{id}/unlock

Unlock a User

Unlocks a User's account that has been locked due to too many failed login attempts.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

201